%global gem_name narray

Name:		rubygem-%{gem_name}
Version:	0.6.0.8
Release:	3%{?dist}
Summary:	N-dimensional Numerical Array class for Ruby

License:	BSD and Ruby
URL:		http://narray.rubyforge.org
Source0:	http://rubygems.org/downloads/%{gem_name}-%{version}.gem

BuildRequires:	ruby-devel
BuildRequires:	rubygems-devel

Requires:	ruby(release)
Requires:	rubygems

Obsoletes:	%{name}-common <= %{version}-%{release}

%description
NArray is a Numerical N-dimensional Array class.  Supported element
types are 1/2/4-byte Integer, single/double-precision, Real/Complex and
Ruby Object.  This extension library incorporates fast calculation and
easy manipulation of large numerical arrays into the Ruby language.
NArray has features similar to NumPy, but NArray has vector and matrix
sub-classes.


%package devel
Summary:	Development files and developer's docs for %{name}

Requires:	%{name}%{?_isa} = %{version}-%{release}

Obsoletes:	%{name}-common-devel <= %{version}-%{release}
Obsoletes:	%{name}-doc <= %{version}-%{release}

%description devel
This package contains the development files and the developer's
documentation for %{name}.


%prep
gem unpack %{SOURCE0}
%setup -qDTn  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec


%build
%configure ||:
gem build %{gem_name}.gemspec

%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
%gem_install
%else
export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
mkdir -p ./%{gem_dir}
gem install -V --local --force --rdoc				\
	--install-dir ./%{gem_dir}				\
	--bindir ./%{_bindir}					\
	%{gem_name}-%{version}.gem
%endif


%install
mkdir -p %{buildroot}%{gem_dir}					\
	%{buildroot}%{gem_extdir_mri}				\
	%{buildroot}%{ruby_vendorarchdir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}
mv -f %{buildroot}%{gem_instdir}/%{gem_name}.so			\
	%{buildroot}%{gem_extdir_mri}

# Some applications expect the so-plugin, %%{gem_name}_ext.rb and
# the headers to be placed inside %%{ruby_vendorarchdir}.
ln -fs %{gem_extdir_mri}/%{gem_name}.so				\
	%{buildroot}%{ruby_vendorarchdir}
ln -fs %{gem_instdir}/%{gem_name}_ext.rb			\
	%{buildroot}%{ruby_vendorarchdir}
for _header in %{buildroot}%{gem_instdir}/*.h
do
  ln -fs `echo ${_header} | sed -e 's!^%{buildroot}!!g'`	\
	%{buildroot}%{ruby_vendorarchdir}
done

# Some clean-up of 0-size files, unneded stuff and files, which get
# picked-up by %doc later.
find %{buildroot} -depth -size 0 -type f -print0 | xargs -0 rm -rf
rm -rf %{buildroot}%{gem_cache}					\
	%{buildroot}%{gem_instdir}/{ChangeLog,README.*,src}


%files
%doc ChangeLog README.*
%dir %{gem_instdir}
%exclude %{gem_instdir}/MANIFEST
%exclude %{gem_instdir}/SPEC.*
%exclude %{gem_instdir}/*.h
%{gem_extdir_mri}/%{gem_name}.so
%{gem_instdir}/*
%{gem_spec}
%{ruby_vendorarchdir}/%{gem_name}.so
%{ruby_vendorarchdir}/%{gem_name}_ext.rb

%files devel
%doc %{gem_docdir}
%{gem_instdir}/MANIFEST
%{gem_instdir}/SPEC.*
%{gem_instdir}/*.h
%{ruby_vendorarchdir}/*.h


%changelog
* Mon Oct 28 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-3
- added symlink to %%{gem_name}_ext.rb in %%{ruby_vendorarchdir}

* Sun Sep 15 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-2
- obsoleted common, common-devel and doc pkg
- moved some development-related files from main to devel pkg
- removed some unneeded files, e.g. the copy of sources inside %%{gem_instdir}

* Sat Sep 07 2013 Björn Esser <bjoern.esser@gmail.com> - 0.6.0.8-1
- Initial rpm release (#1005463)
